Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.schemamatching
Class NameAndTypeBasedSchemaMatcher

    java.lang.Object
      edu.udo.cs.miningmart.schemamatching.MmSchemaMatcher
          edu.udo.cs.miningmart.schemamatching.NameAndTypeBasedSchemaMatcher

Direct Known Subclasses:
  EditDistanceMatcher, NgramMatcher, SoundexMatcher, StringEqualityMatcher

    public abstract class NameAndTypeBasedSchemaMatcher

extends MmSchemaMatcher

Abstract superclass of those schema matching methods in the MiningMart environment that use only pairs of strings to do the matching.

Version:
  $Id: NameAndTypeBasedSchemaMatcher.java,v 1.4 2006/09/27 15:00:03 euler Exp $
Author:
  Timm Euler

Field Summary

Fields inherited from class edu.udo.cs.miningmart.schemamatching.MmSchemaMatcher
`THRESHOLD`

Constructor Summary
`NameAndTypeBasedSchemaMatcher()`

Method Summary
`double` | `getDirectSimilarity(BaseAttribute ba1, BaseAttribute ba2)` Returns the double value that this matcher considers as the similarity between ba1 and ba2, based only on information related to these BaseAttributes.
`double` | `getDirectSimilarity(Concept con1, Concept con2)` Returns the double value that this matcher considers as the similarity between con1 and con2, based only on the information in these concepts but not on dependent attributes (like BaseAttributes).
`double` | `getSimilarityInvolvingConcepts(BaseAttribute ba1, BaseAttribute ba2)` Returns the double value that this matcher considers as the similarity between ba1 and ba2, taking the similarity of their respective concepts into accounts as well.
`double` | `getStringSimilarity(java.lang.String str1, java.lang.String str2)` Returns the double value that this matcher considers as the similarity between the two given Strings.

Methods inherited from class edu.udo.cs.miningmart.schemamatching.MmSchemaMatcher
`getDatatypeSimilarity, getGlobalSimilarity, getNameSimilarity, getSimilarity, getSimilarity, getSimilarityMatrix, getSimilarityMatrix, getSimilarMatchingsGreedy, objectsAreSimilar`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NameAndTypeBasedSchemaMatcher

    public NameAndTypeBasedSchemaMatcher()

Method Detail

### getDirectSimilarity

    public double getDirectSimilarity(BaseAttribute ba1,
                                      BaseAttribute ba2)
                               throws SchemaMatchException

  Description copied from class: `MmSchemaMatcher`
  Returns the double value that this matcher considers as the similarity between ba1 and ba2, based only on information related to these BaseAttributes.

  Specified by:
    `getDirectSimilarity` in class `MmSchemaMatcher`
  Parameters:
    `ba1` - One BaseAttribute
    `ba2` - Another BaseAttribute
  Returns:
    a similarity value between 0 and 1
  Throws:
    `SchemaMatchException`
  See Also:
    `MmSchemaMatcher.getDirectSimilarity(edu.udo.cs.miningmart.m4.BaseAttribute, edu.udo.cs.miningmart.m4.BaseAttribute)`

### getStringSimilarity

    public double getStringSimilarity(java.lang.String str1,
                                      java.lang.String str2)
                               throws SchemaMatchException

  Description copied from class: `MmSchemaMatcher`
  Returns the double value that this matcher considers as the similarity between the two given Strings.

  Specified by:
    `getStringSimilarity` in class `MmSchemaMatcher`
  Parameters:
    `str1` - One String
    `str2` - Another String
  Returns:
    a similarity value
  Throws:
    `SchemaMatchException`

### getDirectSimilarity

    public double getDirectSimilarity(Concept con1,
                                      Concept con2)
                               throws SchemaMatchException

  Description copied from class: `MmSchemaMatcher`
  Returns the double value that this matcher considers as the similarity between con1 and con2, based only on the information in these concepts but not on dependent attributes (like BaseAttributes).

  Specified by:
    `getDirectSimilarity` in class `MmSchemaMatcher`
  Parameters:
    `con1` - One Concept
    `con2` - Another Concept
  Returns:
    a similarity value between 0 and 1
  Throws:
    `SchemaMatchException`
  See Also:
    `MmSchemaMatcher.getDirectSimilarity(edu.udo.cs.miningmart.m4.Concept, edu.udo.cs.miningmart.m4.Concept)`

### getSimilarityInvolvingConcepts

    public double getSimilarityInvolvingConcepts(BaseAttribute ba1,
                                                 BaseAttribute ba2)
                                          throws SchemaMatchException

  Returns the double value that this matcher considers as the similarity between ba1 and ba2, taking the similarity of their respective concepts into accounts as well.

  Specified by:
    `getSimilarityInvolvingConcepts` in class `MmSchemaMatcher`
  Parameters:
    `ba1` - One BaseAttribute
    `ba2` - Another BaseAttribute
  Returns:
    a similarity value
  Throws:
    `SchemaMatchException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005